Subject: Re: Missing tags from git-clone, but not git-clone -l ?

From: "Gerald (Jerry) Carter" <[email-masked]>
Date: Sun, 07 Oct 2007 13:58:55 -0500

Gerald (Jerry) Carter wrote:

> I'm really a but stumped on this one.  I've got a set of tags
> (created by git-svnimport):
> 
>   $ git tag -l release-4*
>   release-4-0-0tp1
>   release-4-0-0tp2
>   release-4-0-0tp3
>   release-4-0-0tp4
> 
> but when I "git-clone samba-svnimport tags-test"", one tag
> is missing.
> 
>   $ git tag -l release-4*
>   release-4-0-0tp2
>   release-4-0-0tp3
>   release-4-0-0tp4
> 
> Running git-clone -l works as expected (i.e. the tp1 tag appears
> in the clone).

Sorry.  I did get confused.  And I now understand what happened.
git-clone works correctly.  What I did was "git-remote add svn
/.../path" followed by a "git-fetch svn".  Looks like that
one tag was not directly reachable in the history.  Running
"git-fetch -t svn" gave me the missing tags.

Sorry for the noise.

cheers, jerry
=====================================================================
Samba                                    ------- http://www.samba.org
Centeris                         -----------  http://www.centeris.com
"What man is a man who does not make the world better?"      --Balian